Skip to content

Asynchronously import and validate a VPK package attached to this request. On completion, Vault sends an email notification which includes a link to the validation log. For packages that include Vault Java SDK code, this checks code compilation and restrictions in use of the JDK. For example, new is not allowed for non-allowlisted classes. Learn more about Vault Java SDK limits and restrictions.

PUT/api/{version}/services/package
NameDescription
Content-Typemultipart/form-data (default) or application/x-www-form-urlencoded
Acceptapplication/json (default) or application/xml
NameDescription
fileThe .vpk file. See Export Package above.
curl -L -X PUT -H 'Authorization: {Session_ID}' \ -H 'Accept: application/json' \ -F 'file=myFile.vpk'\ https://myvault.veevavault.com/api/v22.2/services/package
{ "responseStatus": "SUCCESS", "url": "/api/v22.2/services/jobs/88717", "job_id": 88717 }

On SUCCESS, the response includes the following information: url - The URL to retrieve the current status of the import job. job_id - The Job ID value is used to retrieve the status and results of the request. A separate email with a link to download the validation log.